Foxit PDF SDK

Instance Methods | Properties | List of all members
FSWrapperData Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithVersion:type:app_id:uri:description:
| Constructor, with parameters. More...
(id) | - initWithWrapper_data:
| Constructor, with another wrapper data object. More...
(void) | - set:type:app_id:uri:description:
| Set value. More...

## Properties
NSString * | app_id
| Application identity to indicate applications to open this wrapper data.
NSString * | description
| Description for wrapper file to show applications or confront users prompt information.
NSString * | type
| Wrapper type to indicate a type of the current wrapper file.
NSString * | uri
| The URI for consumers to get more information.
int | version
| Wrapper version.

## Detailed Description

This class represents wrapper data, which is used for a wrapped PDF document.

## Method Documentation

## ◆ initWithVersion:type:app_id:uri:description:()

- (id) initWithVersion: |  | (int) | version
type: |  | (NSString *) | type
app_id: |  | (NSString *) | app_id
uri: |  | (NSString *) | uri
description: |  | (NSString *) | description

Constructor, with parameters.

Parameters

  [in] | version | Wrapper version.
  [in] | type | Wrapper type to indicate a type of the current wrapper file.
  [in] | app_id | Application identity to indicate applications to open this wrapper data.
  [in] | uri | URI for consumers to get more information.
  [in] | description | Description for wrapper file to show applications or confront users prompt information.

## ◆ initWithWrapper_data:()

- (id) initWithWrapper_data: |  | (FSWrapperData*) | wrapper_data |

Constructor, with another wrapper data object.

Parameters

  [in] | wrapper_data | Another wrapper data object.

## ◆ set:type:app_id:uri:description:()

- (void) set: |  | (int) | version
type: |  | (NSString *) | type
app_id: |  | (NSString *) | app_id
uri: |  | (NSString *) | uri
description: |  | (NSString *) | description

Set value.

Parameters

  [in] | version | Wrapper version.
  [in] | type | Wrapper type to indicate a type of the current wrapper file.
  [in] | app_id | Application identity to indicate applications to open this wrapper data.
  [in] | uri | URI for consumers to get more information.
  [in] | description | Description for wrapper file to show applications or confront users prompt information.

Returns
  None.